Subject: bug#70105: 30.0.50; Emacs should support EditorConfig out of the box

From: Stefan Monnier <[email-masked]>
Date: Sun, 09 Jun 2024 00:21:28 -0400

> Comments:
>
>> +** 'auto-coding-functions' can know the name of the file.
>> +The functions on this hook take can now find the name of the file to
>                               ^^^^
> The "take" part should probably be removed.
>
>> +@defvar hack-dir-local-get-variables-functions
>> +This special hook holds the functions that gather the directory-local
>> +variables to use for a given buffer.  By default it contains just the
>> +function that obeys the other settings described in the present section.
>> +But it can be used to add support for more sources of directory-local
>> +variables, such as those used by other text editors.
>> +
>> +The functions on this hook are called with no argument, in the buffer to
>> +which we intend to apply the directory-local variables, after the
>> +buffer's major mode function has been run, so it can use sources of
>
> I'm guessing you meant "they", not "it", because this refers to
> "functions on this hook", right?
>
>> +directory hierarchy.  Finally, since this hook is run every time we visit
>> +a file it is important to try and keep those functions efficient, which
>> +will usually require some of caching.
>                         ^^^^^^^^^^^^^^^
> "some kind of caching", perhaps?

Well, the upside is that the above shows the value of taking one's time
when writing (I was in a bit of a hurry).

Thanks, pushed,

        Stefan